Subject: 27.0.50; Remove gnus-start-news-server

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 22 Jul 2019 11:42:33 -0700

I think this function can be removed entirely. It is the only place
where the obsolete variables `gnus-nntp-server' and
`gnus-secondary-servers' are referenced, and its main job seems to be
bailing on Gnus startup if a nntp server isn't available. Now that Gnus
doesn't insist on being a newsreader, there's no reason why it should
ever bail on startup, no matter what happened. The only bit of the
function that looks like it should be kept is:

(gnus-agent-read-servers-validate-native gnus-select-method)

Which updates from earlier versions, but that bit could be moved elsewhere.